For the complete documentation index, see llms.txt. This page is also available as Markdown.

Funnels

Retrieve all funnels

get

Retrieve all funnels in a workspace.

Responses
200

All funnels in a workspace.

application/json
idstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The funnel's name.

Example: My Funnel
automation_idstringRequired

The funnel's automation ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
metadataobjectRequired

The funnel's metadata.

Example: {"prompt":"This is a prompt"}
created_atstring · date-timeRequired

Timestamp of when the funnel was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the funnel was last updated.

Example: 2025-01-01T00:00:00.000Z
get/funnels
GET /api/v1/funnels HTTP/1.1
Accept: */*
[
  {
    "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
    "name": "My Funnel",
    "automation_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
    "metadata": {
      "prompt": "This is a prompt"
    },
    "created_at": "2025-01-01T00:00:00.000Z",
    "updated_at": "2025-01-01T00:00:00.000Z"
  }
]

Retrieve a single funnel

get

Retrieve a funnel by its ID.

Path parameters
funnelIdstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

A funnel.

application/json
idstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The funnel's name.

Example: My Funnel
automation_idstringRequired

The funnel's automation ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
metadataobjectRequired

The funnel's metadata.

Example: {"prompt":"This is a prompt"}
created_atstring · date-timeRequired

Timestamp of when the funnel was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the funnel was last updated.

Example: 2025-01-01T00:00:00.000Z
get/funnels/{funnelId}
GET /api/v1/funnels/{funnelId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "My Funnel",
  "automation_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "metadata": {
    "prompt": "This is a prompt"
  },
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Create a new funnel

post

Create a new funnel.

Body
namestringRequired

The funnel's name.

Example: My Funnel
promptstringRequired

The prompt used to generate the funnel.

Example: This is a prompt
themeobjectRequired

The funnel's theme.

Example: BOLD_AND_FUTURISTIC
Responses
201

The funnel that was created.

application/json
idstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The funnel's name.

Example: My Funnel
automation_idstringRequired

The funnel's automation ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
metadataobjectRequired

The funnel's metadata.

Example: {"prompt":"This is a prompt"}
created_atstring · date-timeRequired

Timestamp of when the funnel was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the funnel was last updated.

Example: 2025-01-01T00:00:00.000Z
post/funnels
POST /api/v1/funnels HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 78

{
  "name": "My Funnel",
  "prompt": "This is a prompt",
  "theme": "BOLD_AND_FUTURISTIC"
}
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "My Funnel",
  "automation_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "metadata": {
    "prompt": "This is a prompt"
  },
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Update a single funnel

patch

Update a funnel by its ID.

Path parameters
funnelIdstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Body
namestringRequired

The funnel's name.

Example: My Funnel
Responses
200

A funnel.

application/json
idstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The funnel's name.

Example: My Funnel
automation_idstringRequired

The funnel's automation ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
metadataobjectRequired

The funnel's metadata.

Example: {"prompt":"This is a prompt"}
created_atstring · date-timeRequired

Timestamp of when the funnel was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the funnel was last updated.

Example: 2025-01-01T00:00:00.000Z
patch/funnels/{funnelId}
PATCH /api/v1/funnels/{funnelId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "name": "My Funnel"
}
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "My Funnel",
  "automation_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "metadata": {
    "prompt": "This is a prompt"
  },
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Delete a funnel

delete

Delete a funnel.

Path parameters
funnelIdstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
Responses
200

The funnel that was deleted.

application/json
idstringRequired

The funnel's ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
namestringRequired

The funnel's name.

Example: My Funnel
automation_idstringRequired

The funnel's automation ID.

Example: 981ba079-62a6-442c-8dfb-a72af6e96b8c
metadataobjectRequired

The funnel's metadata.

Example: {"prompt":"This is a prompt"}
created_atstring · date-timeRequired

Timestamp of when the funnel was created.

Example: 2025-01-01T00:00:00.000Z
updated_atstring · date-timeRequired

Timestamp of when the funnel was last updated.

Example: 2025-01-01T00:00:00.000Z
delete/funnels/{funnelId}
DELETE /api/v1/funnels/{funnelId} HTTP/1.1
Accept: */*
{
  "id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "name": "My Funnel",
  "automation_id": "981ba079-62a6-442c-8dfb-a72af6e96b8c",
  "metadata": {
    "prompt": "This is a prompt"
  },
  "created_at": "2025-01-01T00:00:00.000Z",
  "updated_at": "2025-01-01T00:00:00.000Z"
}

Last updated